Bug 5803 - Отсутствие реакции на нажатие элементов управления (отсутствие при сборке AM_CFLAGS=-export-dynamic)
: Отсутствие реакции на нажатие элементов управления (отсутствие при сборке AM_...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gnome-ppp)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-12-31 13:56 by
Modified: 2005-07-13 15:47 (History)


Attachments
spec (2.21 KB, text/plain)
2005-01-09 20:28, Vital Khilko
no flags Details
Перевод на белорусский язык (13.17 KB, patch)
2005-01-09 20:29, Vital Khilko
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-12-31 13:56:46
1. отсутствие при сборке пакета инструкции AM_CFLAGS=-export-dynamic в команде
make приводит к полной его неработоспособности
2. Неплохо бы добавить этот патчик: 
diff -Nur gnome-ppp-0.3.18~/configure.ac gnome-ppp-0.3.18/configure.ac
--- gnome-ppp-0.3.18~/configure.ac    2004-11-26 00:47:08 +0200
+++ gnome-ppp-0.3.18/configure.ac    2004-12-31 11:56:53 +0200
@@ -16,7 +16,7 @@
 AC_SUBST(DEPS_CFLAGS)
 AC_SUBST(DEPS_LIBS)

-ALL_LINGUAS="sv ru tr vi es pt_BR cs sr sr@Latn ca de it mk fr"
+ALL_LINGUAS="be sv ru tr vi es pt_BR cs sr sr@Latn ca de it mk fr"
 AM_GLIB_GNU_GETTEXT

 GETTEXT_PACKAGE=$PACKAGE_NAME
diff -Nur gnome-ppp-0.3.18~/po/be.po gnome-ppp-0.3.18/po/be.po
--- gnome-ppp-0.3.18~/po/be.po    1970-01-01 03:00:00 +0300
+++ gnome-ppp-0.3.18/po/be.po    2004-12-31 11:55:29 +0200
@@ -0,0 +1,494 @@
+# Belarusian translation of PACKAGE.
+# Copyright (C) 2004 THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# Vital Khilko <vk@altlinux.ru>, 2004.
+# , fuzzy
+# 
+# 
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2004-06-17 00:56+0200\n"
+"PO-Revision-Date: 2004-10-16 15:55+0300\n"
+"Last-Translator: Vital Khilko <vk@altlinux.ru>\n"
+"Language-Team: Belarusian <i18n@mova.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit"
+
+#: gnome-ppp.desktop.in.h:1
+msgid "GNOME Dialup Tool"
+msgstr "&#1030;нструмэнт далучэньня праз тэлефанаваньне"
+
+#: gnome-ppp.desktop.in.h:2 src/gnome-ppp-notification.c:193
+#: src/glade/gnome-ppp.glade.h:36
+msgid "GNOME PPP"
+msgstr "GNOME PPP"
+
+#: src/gnome-ppp-connected.c:37 src/gnome-ppp-wvdial.c:148
+#: src/glade/gnome-ppp.glade.h:19
+msgid "<big>Connected: 00:00:00</big>"
+msgstr "<big>Далучаны: 00:00:00</big>"
+
+#: src/gnome-ppp-connected.c:67
+#, c-format
+msgid "<big>Connected: %s</big>"
+msgstr "<big>Далучаны: %s</big>"
+
+#: src/gnome-ppp-connected.c:146 src/gnome-ppp-connected.c:151
+#: src/glade/gnome-ppp.glade.h:66
+msgid "Unknown"
+msgstr "Невядома"
+
+#: src/gnome-ppp-details.c:148
+#, c-format
+msgid "Cannot open /proc/net/dev: %s"
+msgstr "Немагчыма адкрыць /proc/net/dev: %s"
+
+#: src/gnome-ppp-details.c:157
+msgid "Could not parse /proc/net/dev. Unknown format."
+msgstr "Немагчыма разабраць /proc/net/dev. Невядомы фармат."
+
+#: src/gnome-ppp-details.c:174
+#, c-format
+msgid "Could not parse interface name from '%s'"
+msgstr "Немагчыма разабраць назву &#1110;нтэрфэйсу з '%s'"
+
+#: src/gnome-ppp-details.c:187
+#, c-format
+msgid ""
+"Could not parse interface statistics from '%s'. prx_idx = %d; ptx_idx = %d; "
+"brx_idx = %d; btx_idx = %d;"
+msgstr ""
+"Немагчыма разабраць статыстыку &#1110;нтэрфэйсу з '%s'. prx_idx = %d; ptx_idx
= %d; "
+"brx_idx = %d; btx_idx = %d;"
+
+#: src/gnome-ppp-details.c:196
+#, c-format
+msgid "Could not find information on interface '%s' in /proc/net/dev"
+msgstr "Немагчыма адшукаць &#1110;нфармацыю аб &#1110;нтэрфэйсе
'%s'·у·/proc/net/dev"
+
+#: src/gnome-ppp-notification.c:89
+msgid "Details"
+msgstr "Падрабязнасьц&#1110;"
+
+#: src/gnome-ppp-notification.c:97
+msgid "Disconnect"
+msgstr "Адлучэньне"
+
+#: src/gnome-ppp-notification.c:109
+msgid "About"
+msgstr "Пра праграму"
+
+#: src/gnome-ppp-notification.c:192
+msgid "translator_credits"
+msgstr "В&#1110;таль Х&#1110;лько"
+
+#: src/gnome-ppp-notification.c:195
+msgid "GNOME Dialup Tool."
+msgstr "&#1030;нструмэнт далучэньня з дапамогай тэлефоннай сувяз&#1110;."
+
+#: src/gnome-ppp-setup.c:36
+msgid "Detecting your modem..."
+msgstr "Вызначэньне вашага мадэму..."
+
+#: src/gnome-ppp-setup.c:56 src/gnome-ppp.c:918
+#, c-format
+msgid "GNOME PPP: Command failed: %s\n"
+msgstr "GNOME PPP: Збой загаду: %s\n"
+
+#: src/gnome-ppp-setup.c:140
+msgid "forever"
+msgstr "наза&#1118;сёды"
+
+#: src/gnome-ppp-setup.c:211
+msgid "second"
+msgstr "сэкунда"
+
+#: src/gnome-ppp-setup.c:213
+msgid "seconds"
+msgstr "сэкунда&#1118;"
+
+#: src/gnome-ppp-setup.c:216 src/glade/gnome-ppp.glade.h:89
+msgid "disabled"
+msgstr "выключаны"
+
+#: src/gnome-ppp-wvdial.c:60
+msgid "Can not open modem."
+msgstr "Немагчыма адкрыць мадэм."
+
+#: src/gnome-ppp-wvdial.c:63
+msgid "Modem not responding."
+msgstr "Мадэм не адказвае."
+
+#: src/gnome-ppp-wvdial.c:68
+msgid "Sending password..."
+msgstr "Адпра&#1118;леньне паролю..."
+
+#: src/gnome-ppp-wvdial.c:79
+msgid "No valid password."
+msgstr "Кепск&#1110; пароль."
+
+#: src/gnome-ppp-wvdial.c:86
+#, c-format
+msgid "Dialing %s..."
+msgstr "Тэлефанаваньне %s..."
+
+#: src/gnome-ppp-wvdial.c:94
+msgid "Waiting for prompt..."
+msgstr "Чаканьне дыялёгу..."
+
+#: src/gnome-ppp-wvdial.c:97
+msgid "Authenticating..."
+msgstr "А&#1118;тарызацыя..."
+
+#: src/gnome-ppp-wvdial.c:108
+msgid "Reconnecting..."
+msgstr "Перадалучэньне..."
+
+#: src/gnome-ppp-wvdial.c:121
+msgid "Starting pppd..."
+msgstr "Запуск pppd..."
+
+#: src/gnome-ppp-wvdialconf.c:47
+msgid "No modem was found on your system."
+msgstr "У вашае сыстэме адсутн&#1110;чае мадэм."
+
+#. third, connect
+#: src/gnome-ppp.c:893
+msgid "GNOME PPP: Connecting...\n"
+msgstr "GNOME PPP: Далучэньне...\n"
+
+#: src/gnome-ppp.c:894 src/glade/gnome-ppp.glade.h:29
+msgid "Connecting..."
+msgstr "Далучэньне..."
+
+#: src/glade/gnome-ppp.glade.h:1
+msgid "*"
+msgstr "*"
+
+#: src/glade/gnome-ppp.glade.h:2
+msgid ""
+"/dev/modem\n"
+"/dev/ttyS0\n"
+"/dev/ttyS1\n"
+"/dev/ttyS2\n"
+"/dev/ttyS3"
+msgstr ""
+"/dev/modem\n"
+"/dev/ttyS0\n"
+"/dev/ttyS1\n"
+"/dev/ttyS2\n"
+"/dev/ttyS3"
+
+#: src/glade/gnome-ppp.glade.h:7
+msgid "0"
+msgstr "0"
+
+#: src/glade/gnome-ppp.glade.h:8
+msgid "00:00:00"
+msgstr "00:00:00"
+
+#: src/glade/gnome-ppp.glade.h:9
+msgid ""
+"460800\n"
+"230400\n"
+"115200"
+msgstr ""
+"460800\n"
+"230400\n"
+"115200"
+
+#: src/glade/gnome-ppp.glade.h:12
+msgid "<b>Connection</b>"
+msgstr "<b>Далучэньне</b>"
+
+#: src/glade/gnome-ppp.glade.h:13
+msgid "<b>DNS</b>"
+msgstr "<b>DNS</b>"
+
+#: src/glade/gnome-ppp.glade.h:14
+msgid "<b>Desktop Integration</b>"
+msgstr "<b>&#1030;нтэграваньне са стальцом</b>"
+
+#: src/glade/gnome-ppp.glade.h:15
+msgid "<b>Details</b>"
+msgstr "<b>Падрабязнасьц&#1110;</b>"
+
+#: src/glade/gnome-ppp.glade.h:16
+msgid "<b>IP</b>"
+msgstr "<b>IP</b>"
+
+#: src/glade/gnome-ppp.glade.h:17
+msgid "<b>Modem</b>"
+msgstr "<b>Мадэм</b>"
+
+#: src/glade/gnome-ppp.glade.h:18
+msgid "<b>Phone options and Init Strings</b>"
+msgstr "<b>Выбары тэлефону й радк&#1110;
&#1110;н&#1110;цыял&#1110;заваньня</b>"
+
+#: src/glade/gnome-ppp.glade.h:20
+msgid "Abort connecting if line is b_usy"
+msgstr "Адмена далучэньня кал&#1110; л&#1110;н&#1110;я занятая"
+
+#: src/glade/gnome-ppp.glade.h:21
+msgid "Abort connecting if no _dialtone"
+msgstr "Адмена далучэньня кал&#1110; адсутн&#1110;чае тонавы сыгнал"
+
+#: src/glade/gnome-ppp.glade.h:22
+msgid "Address:"
+msgstr "Адрас:"
+
+#: src/glade/gnome-ppp.glade.h:23
+msgid ""
+"Analog Modem\n"
+"USB Modem\n"
+"ISDN Modem"
+msgstr ""
+"Аналягавы мадэм\n"
+"USB мадэм\n"
+"ISDN мадэм"
+
+#: src/glade/gnome-ppp.glade.h:26
+msgid "Auto r_econnect"
+msgstr "А&#1118;таматычнае _перадалучэньне"
+
+#: src/glade/gnome-ppp.glade.h:27
+msgid "Check carrier _line"
+msgstr "Праверка апорнага сыгналу"
+
+#: src/glade/gnome-ppp.glade.h:28
+msgid "Check default _route"
+msgstr "Праверка дапомнага _шляху"
+
+#: src/glade/gnome-ppp.glade.h:30
+msgid "D_etails"
+msgstr "_Падрабязнасьц&#1110;"
+
+#: src/glade/gnome-ppp.glade.h:31
+msgid "Destination:"
+msgstr "Прызначэньне:"
+
+#: src/glade/gnome-ppp.glade.h:32
+msgid "Dial _prefix: "
+msgstr "Прэ_ф&#1110;кс набору: "
+
+#: src/glade/gnome-ppp.glade.h:33
+msgid "Dial a_ttempts:"
+msgstr "_Спробы набору:"
+
+#: src/glade/gnome-ppp.glade.h:34
+msgid "Dock in _notification area"
+msgstr "Убудо&#1118;ваць у прастору паведамленьня&#1118;"
+
+#: src/glade/gnome-ppp.glade.h:35
+msgid "Domain _name: "
+msgstr "Назва _дамэну:"
+
+#: src/glade/gnome-ppp.glade.h:37
+msgid "GNOME PPP - Connecting..."
+msgstr "GNOME PPP - Далучэньне..."
+
+#: src/glade/gnome-ppp.glade.h:38
+msgid "GNOME PPP - Connection Log"
+msgstr "GNOME PPP - Часоп&#1110;с далучэньня"
+
+#: src/glade/gnome-ppp.glade.h:39
+msgid "GNOME PPP - Details"
+msgstr "GNOME PPP - Падрабязнасьц&#1110;"
+
+#: src/glade/gnome-ppp.glade.h:40
+msgid "GNOME PPP - Init Strings"
+msgstr "GNOME PPP - Радк&#1110; &#1110;н&#1110;цыял&#1110;зацы&#1110;"
+
+#: src/glade/gnome-ppp.glade.h:41
+msgid "GNOME PPP - Phone Numbers"
+msgstr "GNOME PPP - Нумары тэлефона&#1118;"
+
+#: src/glade/gnome-ppp.glade.h:42
+msgid "GNOME PPP - Setup"
+msgstr "GNOME PPP - Наладка"
+
+#: src/glade/gnome-ppp.glade.h:43
+msgid "Idle"
+msgstr "Незаняты"
+
+#: src/glade/gnome-ppp.glade.h:44
+msgid "Idle _time:"
+msgstr "Незаняты час:"
+
+#: src/glade/gnome-ppp.glade.h:45
+msgid "Interface:"
+msgstr "&#1030;нтэрфэйс:"
+
+#: src/glade/gnome-ppp.glade.h:46
+msgid "Modem"
+msgstr "Мадэм"
+
+#: src/glade/gnome-ppp.glade.h:47
+msgid "Modem initialization strings:"
+msgstr "Радк&#1110; &#1110;н&#1110;цыял&#1110;зацы&#1110; мадэму:"
+
+#: src/glade/gnome-ppp.glade.h:48
+msgid "Networking"
+msgstr "Сеткавыя наладк&#1110;"
+
+#: src/glade/gnome-ppp.glade.h:49
+msgid ""
+"Off\n"
+"Low\n"
+"High"
+msgstr ""
+"Выкл.\n"
+"Ц&#1110;ха   \n"
+"Гучна "
+
+#: src/glade/gnome-ppp.glade.h:52
+msgid "On connection:"
+msgstr "У часе далучэньня:"
+
+#: src/glade/gnome-ppp.glade.h:53
+msgid "Options"
+msgstr "Выбары"
+
+#: src/glade/gnome-ppp.glade.h:54
+msgid "Phone Line:"
+msgstr "Тэлефонная л&#1110;н&#1110;я:"
+
+#: src/glade/gnome-ppp.glade.h:55
+msgid "Phone _number:"
+msgstr "Нумар тэлефону:"
+
+#: src/glade/gnome-ppp.glade.h:56
+msgid "Phone _numbers..."
+msgstr "Нумары тэлефона&#1118;..."
+
+#: src/glade/gnome-ppp.glade.h:57
+msgid "Phone numbers to dial:"
+msgstr "Нумар тэлефанаваньня:"
+
+#: src/glade/gnome-ppp.glade.h:58
+msgid "Received data:"
+msgstr "Атрыманыя даньн&#1110;:"
+
+#: src/glade/gnome-ppp.glade.h:59
+msgid "Received packets:"
+msgstr "Атрыманыя пакеты:"
+
+#: src/glade/gnome-ppp.glade.h:60
+msgid "Reply:"
+msgstr "Адказ:"
+
+#: src/glade/gnome-ppp.glade.h:61
+msgid "Send custom repl_y"
+msgstr "Адаслаць свой _адказ"
+
+#: src/glade/gnome-ppp.glade.h:62
+msgid "Sent data:"
+msgstr "Дасланыя даньн&#1110;:"
+
+#: src/glade/gnome-ppp.glade.h:63
+msgid "Sent packets:"
+msgstr "Дасланыя пакеты:"
+
+#: src/glade/gnome-ppp.glade.h:64
+msgid "Status:"
+msgstr "Стан:"
+
+#: src/glade/gnome-ppp.glade.h:65
+msgid "Type:"
+msgstr "Тып:"
+
+#: src/glade/gnome-ppp.glade.h:67
+msgid "_Automatic DNS"
+msgstr "А&#1118;таматычнае вызначэньне DNS"
+
+#: src/glade/gnome-ppp.glade.h:68
+msgid "_Connect"
+msgstr "_Далучэньне"
+
+#: src/glade/gnome-ppp.glade.h:69
+msgid "_Detect"
+msgstr "_Вызначэньне"
+
+#: src/glade/gnome-ppp.glade.h:70
+msgid "_Device:"
+msgstr "_Прылада:"
+
+#: src/glade/gnome-ppp.glade.h:71
+msgid "_Disconnect"
+msgstr "_Адлучэньне"
+
+#: src/glade/gnome-ppp.glade.h:72
+msgid "_Dynamic IP address"
+msgstr "_Дынам&#1110;чны &#1030;Р адрас"
+
+#: src/glade/gnome-ppp.glade.h:73
+msgid "_IP address: "
+msgstr "А_драс IP: "
+
+#: src/glade/gnome-ppp.glade.h:74
+msgid "_Ignore terminal strings (stupid mode)"
+msgstr "_&#1030;гнараваць тэрм&#1110;нальныя радк&#1110; (дурны рэжым)"
+
+#: src/glade/gnome-ppp.glade.h:75
+msgid "_Init Strings..."
+msgstr "Радк&#1110; &#1110;н&#1110;цыял&#1110;зацы&#1110;..."
+
+#: src/glade/gnome-ppp.glade.h:76
+msgid "_Log"
+msgstr "_Часоп&#1110;с"
+
+#: src/glade/gnome-ppp.glade.h:77
+msgid "_Manual DNS"
+msgstr "_Асаб&#1110;стая наладка DNS"
+
+#: src/glade/gnome-ppp.glade.h:78
+msgid "_Minimize"
+msgstr "_Найменшыць"
+
+#: src/glade/gnome-ppp.glade.h:79
+msgid "_Password:"
+msgstr "_Пароль:"
+
+#: src/glade/gnome-ppp.glade.h:80
+msgid "_Pulse"
+msgstr "_&#1030;мпульсны"
+
+#: src/glade/gnome-ppp.glade.h:81
+msgid "_Remember password"
+msgstr "_Запомн&#1110;ць пароль"
+
+#: src/glade/gnome-ppp.glade.h:82
+msgid "_Setup"
+msgstr "_Наладка"
+
+#: src/glade/gnome-ppp.glade.h:83
+msgid "_Speed:"
+msgstr "_Хуткасьць:"
+
+#: src/glade/gnome-ppp.glade.h:84
+msgid "_Static IP address"
+msgstr "_Статычны &#1030;Р адрас"
+
+#: src/glade/gnome-ppp.glade.h:85
+msgid "_Tone"
+msgstr "_Танальны"
+
+#: src/glade/gnome-ppp.glade.h:86
+msgid "_Username:"
+msgstr "_&#1030;мя карыстальн&#1110;ка:"
+
+#: src/glade/gnome-ppp.glade.h:87
+msgid "_Volume:"
+msgstr "_Гучнасьць:"
+
+#: src/glade/gnome-ppp.glade.h:88
+msgid "_Wait for dialtone"
+msgstr "_Чаканьне сыгналу набору"
+
+#: src/glade/gnome-ppp.glade.h:90
+msgid "ppp0"
+msgstr "ppp0"
+

3. Решить бы проблему непривилегированного запуска приложения
------- Comment #1 From 2005-01-05 10:22:09 -------
Спасибо. Жду патча в виде приложения к данной баге или 
на почту. 
------- Comment #2 From 2005-01-09 20:28:04 -------
Created an attachment (id=682) [details]
spec

подправленый спек ;)
------- Comment #3 From 2005-01-09 20:29:49 -------
Created an attachment (id=683) [details]
Перевод на белорусский язык

Перевод на белорусский язык
------- Comment #4 From 2005-01-10 01:48:27 -------
fixed in gnome-ppp-0.3.18-alt1 
------- Comment #5 From 2005-01-10 10:47:35 -------
tnx

P.S. Надо что-то подумать насчёт непривилегированного запуска
------- Comment #6 From 2005-01-10 13:08:36 -------
(In reply to comment #5) 
> tnx 
>  
> P.S. Надо что-то подумать насчёт непривилегированного запуска 
Это уже к #5847